package user

import (
	"gorm.io/gorm"
)

// 玩家账户表
type User struct {
	gorm.Model
	accountId   uint   `gorm:"type:bigint;uniqueIndex;not null"`      // 帐号id
	Nickname    string `gorm:"type:varchar(32);uniqueIndex;not null"` // 昵称
	AvatarUrl   string `gorm:"type:varchar(255)"`                     // 头像
	AvatarFrame string `gorm:"type:varchar(255)"`                     // 头像框
	VipExp      int32  `gorm:"type:int"`                              // vip经验值
}

func (u User) GetId() uint {
	return u.ID
}
