package operation

import (
	"game/common/model"
	"game/common/model/user"
)

// 玩家表
func NewUserOp() *model.TableOp[user.User] {
	return model.NewTableOp[user.User](UserDB, UserRedis)
}

// 玩家资源表
func NewUserResourcesOp() *model.TableOp[user.UserResources] {
	return model.NewTableOp[user.UserResources](UserDB, UserRedis)
}
