package server

import (
	"game/common/rpcName"
	"github.com/fox/fox/processor"
)

func (s *DbService) initRpcProcessor() {
	s.RpcProcessor.RegisterMessages(map[string]processor.RpcHandler{
		rpcName.CreateUserAccount:  s.onCreateUserAccount,
		rpcName.GetUserAccount:     s.onGetUserAccount,
		rpcName.UpdateUserPassword: s.onUpdateUserAccount,
	})
}
